| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
visBase::TileResolutionData Class Reference

`#include <vishortileresolutiondata.h>`

## Public Member Functions
| TileResolutionData (const HorizonSectionTile *, char resolution)
| ~TileResolutionData ()
void | dirtyGeometry ()
void | enableGeometryTypeDisplay (GeometryType, bool yn)
const osg::PrimitiveSet * | getPrimitiveSet (GeometryType) const
void | setLineWidth (int)
void | setTexture (const unsigned int unit, osg::Array *arr, osg::StateSet *stateset)
void | setWireframeColor (OD::Color &)
bool | tesselateResolution (bool onlyifabsness)
void | updatePrimitiveSets ()

## Protected Attributes
int | dispgeometrytype_ = Triangle
osg::UserDataContainer * | geodes_
osg::Array * | linecolor_
osg::DrawElementsUShort * | linesosgps_ = nullptr
osg::DrawElementsUShort * | linesps_ = nullptr
bool | needsetposition_ = true
char | needsretesselation_ = cMustRetesselate
const osg::Array * | normals_
int | nrverticesperside_ =cNumberNodePerTileSide
osg::Switch * | osgswitch_
osg::Array * | osgvertices_
osg::DrawElementsUShort * | pointsosgps_ = nullptr
osg::DrawElementsUShort * | pointsps_ = nullptr
char | resolution_
const HorizonSectionTile * | sectile_
Threads::Mutex | tesselatemutex_
osg::DrawElementsUShort * | trianglesosgps_ = nullptr
osg::DrawElementsUShort * | trianglesps_ = nullptr
bool | updateprimitiveset_ = true
osg::DrawElementsUShort * | wireframesosgps_ = nullptr
osg::DrawElementsUShort * | wireframesps_ = nullptr

## Private Member Functions
void | buildLineGeometry (int idx, int width)
void | buildOsgGeometres ()
void | buildPointGeometry (int idx)
void | buildTraingleGeometry (int idx)
void | createPrimitiveSets ()
bool | detectIsolatedLine (int crdidx, char direction)
void | dirtyGeometry (int type)
void | hideFromDisplay ()
void | refOsgPrimitiveSets ()
void | setGeometryTexture (const unsigned int unit, const osg::Array *arr, osg::StateSet *stateset, int geometrytype)
void | setPrimitiveSet (unsigned int, osg::DrawElementsUShort *)
void | tesselateCell (int row, int col)
void | unRefOsgPrimitiveSets ()

## Friends
class | HorizonSectionTile
class | HorizonSectionTileGlue

## Constructor & Destructor Documentation

## ◆ TileResolutionData()

visBase::TileResolutionData::TileResolutionData | ( | const HorizonSectionTile * | ,
|  | char | resolution )

## ◆ ~TileResolutionData()

visBase::TileResolutionData::~TileResolutionData | ( |  | ) |

## Member Function Documentation

## ◆ buildLineGeometry()

void visBase::TileResolutionData::buildLineGeometry | ( | int | idx,
|  | int | width )
| private

## ◆ buildOsgGeometres()

void visBase::TileResolutionData::buildOsgGeometres | ( |  | ) |
| private

## ◆ buildPointGeometry()

void visBase::TileResolutionData::buildPointGeometry | ( | int | idx | ) |
| private

## ◆ buildTraingleGeometry()

void visBase::TileResolutionData::buildTraingleGeometry | ( | int | idx | ) |
| private

## ◆ createPrimitiveSets()

void visBase::TileResolutionData::createPrimitiveSets | ( |  | ) |
| private

## ◆ detectIsolatedLine()

bool visBase::TileResolutionData::detectIsolatedLine | ( | int | crdidx,
|  | char | direction )
| private

## ◆ dirtyGeometry() [1/2]

void visBase::TileResolutionData::dirtyGeometry | ( |  | ) |

## ◆ dirtyGeometry() [2/2]

void visBase::TileResolutionData::dirtyGeometry | ( | int | type | ) |
| private

## ◆ enableGeometryTypeDisplay()

void visBase::TileResolutionData::enableGeometryTypeDisplay | ( | GeometryType | ,
|  | bool | yn )

## ◆ getPrimitiveSet()

const osg::PrimitiveSet * visBase::TileResolutionData::getPrimitiveSet | ( | GeometryType |  | ) | const

## ◆ hideFromDisplay()

void visBase::TileResolutionData::hideFromDisplay | ( |  | ) |
| private

## ◆ refOsgPrimitiveSets()

void visBase::TileResolutionData::refOsgPrimitiveSets | ( |  | ) |
| private

## ◆ setGeometryTexture()

void visBase::TileResolutionData::setGeometryTexture | ( | const unsigned int | unit,
|  | const osg::Array * | arr,
|  | osg::StateSet * | stateset,
|  | int | geometrytype )
| private

## ◆ setLineWidth()

void visBase::TileResolutionData::setLineWidth | ( | int |  | ) |

## ◆ setPrimitiveSet()

void visBase::TileResolutionData::setPrimitiveSet | ( | unsigned int | ,
|  | osg::DrawElementsUShort * | )
| private

## ◆ setTexture()

void visBase::TileResolutionData::setTexture | ( | const unsigned int | unit,
|  | osg::Array * | arr,
|  | osg::StateSet * | stateset )

## ◆ setWireframeColor()

void visBase::TileResolutionData::setWireframeColor | ( | OD::Color & |  | ) |

## ◆ tesselateCell()

void visBase::TileResolutionData::tesselateCell | ( | int | row,
|  | int | col )
| private

## ◆ tesselateResolution()

bool visBase::TileResolutionData::tesselateResolution | ( | bool | onlyifabsness | ) |

## ◆ unRefOsgPrimitiveSets()

void visBase::TileResolutionData::unRefOsgPrimitiveSets | ( |  | ) |
| private

## ◆ updatePrimitiveSets()

void visBase::TileResolutionData::updatePrimitiveSets | ( |  | ) |

## Friends And Related Symbol Documentation

## ◆ HorizonSectionTile

friend class HorizonSectionTile
| friend

## ◆ HorizonSectionTileGlue

friend class HorizonSectionTileGlue
| friend

## Member Data Documentation

## ◆ dispgeometrytype_

int visBase::TileResolutionData::dispgeometrytype_ = Triangle
| protected

## ◆ geodes_

osg::UserDataContainer* visBase::TileResolutionData::geodes_
| protected

## ◆ linecolor_

osg::Array* visBase::TileResolutionData::linecolor_
| protected

## ◆ linesosgps_

osg::DrawElementsUShort* visBase::TileResolutionData::linesosgps_ = nullptr
| protected

## ◆ linesps_

osg::DrawElementsUShort* visBase::TileResolutionData::linesps_ = nullptr
| protected

## ◆ needsetposition_

bool visBase::TileResolutionData::needsetposition_ = true
| protected

## ◆ needsretesselation_

char visBase::TileResolutionData::needsretesselation_ = cMustRetesselate
| protected

## ◆ normals_

const osg::Array* visBase::TileResolutionData::normals_
| protected

## ◆ nrverticesperside_

int visBase::TileResolutionData::nrverticesperside_ =cNumberNodePerTileSide
| protected

## ◆ osgswitch_

osg::Switch* visBase::TileResolutionData::osgswitch_
| protected

## ◆ osgvertices_

osg::Array* visBase::TileResolutionData::osgvertices_
| protected

## ◆ pointsosgps_

osg::DrawElementsUShort* visBase::TileResolutionData::pointsosgps_ = nullptr
| protected

## ◆ pointsps_

osg::DrawElementsUShort* visBase::TileResolutionData::pointsps_ = nullptr
| protected

## ◆ resolution_

char visBase::TileResolutionData::resolution_
| protected

## ◆ sectile_

const HorizonSectionTile* visBase::TileResolutionData::sectile_
| protected

## ◆ tesselatemutex_

Threads::Mutex visBase::TileResolutionData::tesselatemutex_
| protected

## ◆ trianglesosgps_

osg::DrawElementsUShort* visBase::TileResolutionData::trianglesosgps_ = nullptr
| protected

## ◆ trianglesps_

osg::DrawElementsUShort* visBase::TileResolutionData::trianglesps_ = nullptr
| protected

## ◆ updateprimitiveset_

bool visBase::TileResolutionData::updateprimitiveset_ = true
| protected

## ◆ wireframesosgps_

osg::DrawElementsUShort* visBase::TileResolutionData::wireframesosgps_ = nullptr
| protected

## ◆ wireframesps_

osg::DrawElementsUShort* visBase::TileResolutionData::wireframesps_ = nullptr
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025